# Cf1 Sites ## List CF1 Sites `magic_transit.cf1_sites.list(Cf1SiteListParams**kwargs) -> SyncSinglePage[Cf1Site]` **get** `/accounts/{account_id}/magic/cf1_sites` Lists CF1 Sites associated with an account. A CF1 Site represents a physical customer network location with optional geographic coordinates. ### Parameters - `account_id: str` Identifier ### Returns - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.magic_transit.cf1_sites.list( account_id="023e105f4ecef8ad9ca31a8372d0c353", ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "name": "Pad 34", "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "description": "Launch Pad 34", "location": { "lat": 28.521339842093845, "long": -80.56092644815843, "name": "Cape Canaveral" }, "modified_on": "2019-12-27T18:11:19.117Z" } ], "success": true } ``` ## Get CF1 Site `magic_transit.cf1_sites.get(strcf1_site_id, Cf1SiteGetParams**kwargs) -> Cf1Site` **get** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}` Gets a specific CF1 Site for an account. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier ### Returns - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf1_site = client.magic_transit.cf1_sites.get( cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf1_site.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "name": "Pad 34", "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "description": "Launch Pad 34", "location": { "lat": 28.521339842093845, "long": -80.56092644815843, "name": "Cape Canaveral" }, "modified_on": "2019-12-27T18:11:19.117Z" }, "success": true } ``` ## Create CF1 Sites `magic_transit.cf1_sites.create(Cf1SiteCreateParams**kwargs) -> SyncSinglePage[Cf1Site]` **post** `/accounts/{account_id}/magic/cf1_sites` Creates new CF1 Sites for an account. Each site must have a unique name within the account. ### Parameters - `account_id: str` Identifier - `body: Iterable[Cf1SiteParam]` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Returns - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.magic_transit.cf1_sites.create( account_id="023e105f4ecef8ad9ca31a8372d0c353", body=[{ "name": "Pad 34" }], ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "name": "Pad 34", "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "description": "Launch Pad 34", "location": { "lat": 28.521339842093845, "long": -80.56092644815843, "name": "Cape Canaveral" }, "modified_on": "2019-12-27T18:11:19.117Z" } ], "success": true } ``` ## Update CF1 Site `magic_transit.cf1_sites.update(strcf1_site_id, Cf1SiteUpdateParams**kwargs) -> Cf1Site` **patch** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}` Partially updates a specific CF1 Site for an account. Only the fields included in the request body are modified; omitted fields retain their existing values. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocationParam]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `name: Optional[str]` A human-provided name describing the CF1 Site that should be unique within the account. ### Returns - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf1_site = client.magic_transit.cf1_sites.update( cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf1_site.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "name": "Pad 34", "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "description": "Launch Pad 34", "location": { "lat": 28.521339842093845, "long": -80.56092644815843, "name": "Cape Canaveral" }, "modified_on": "2019-12-27T18:11:19.117Z" }, "success": true } ``` ## Delete CF1 Site `magic_transit.cf1_sites.delete(strcf1_site_id, Cf1SiteDeleteParams**kwargs) -> Cf1Site` **delete** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}` Deletes a specific CF1 Site for an account. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier ### Returns - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf1_site = client.magic_transit.cf1_sites.delete( cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf1_site.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "name": "Pad 34", "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "description": "Launch Pad 34", "location": { "lat": 28.521339842093845, "long": -80.56092644815843, "name": "Cape Canaveral" }, "modified_on": "2019-12-27T18:11:19.117Z" }, "success": true } ``` ## Domain Types ### Cf1 Site - `class Cf1Site: …` - `name: str` A human-provided name describing the CF1 Site that should be unique within the account. - `id: Optional[str]` Identifier - `created_on: Optional[datetime]` - `description: Optional[str]` A human-provided description of the CF1 Site. - `location: Optional[Cf1SiteLocation]` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. - `modified_on: Optional[datetime]` ### Cf1 Site Location - `class Cf1SiteLocation: …` - `lat: Optional[float]` Latitude of the CF1 Site. - `long: Optional[float]` Longitude of the CF1 Site. - `name: Optional[str]` Name of nearest town, city, or village. # Ramps ## List CF1 Site Ramps `magic_transit.cf1_sites.ramps.list(strcf1_site_id, RampListParams**kwargs) -> SyncSinglePage[Ramp]` **get** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}/ramps` Lists ramps (network connections) associated with a CF1 Site. Ramps represent GRE tunnels, IPsec tunnels, interconnects, or MCONN links. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier ### Returns - `class Ramp: …` - `id: str` Identifier - `created_on: datetime` - `modified_on: datetime` - `name: str` A human-provided name describing the ramp that should be unique within the CF1 Site. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` - `description: Optional[str]` A human-provided description of the ramp. - `gre: Optional[GRE]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `gre_interconnect: Optional[GREInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `ipsec: Optional[IPSEC]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mconn: Optional[Mconn]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mpls_interconnect: Optional[MplsInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.magic_transit.cf1_sites.ramps.list( cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "modified_on": "2019-12-27T18:11:19.117Z", "name": "primary_gre_ramp", "type": "gre", "description": "Primary CF GRE tunnel", "gre": { "managed_by": "managed_by" }, "gre_interconnect": { "managed_by": "managed_by" }, "ipsec": { "managed_by": "managed_by" }, "mconn": { "managed_by": "managed_by" }, "mpls_interconnect": { "managed_by": "managed_by" } } ], "success": true } ``` ## Get CF1 Site Ramp `magic_transit.cf1_sites.ramps.get(strramp_id, RampGetParams**kwargs) -> Ramp` **get** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}/ramps/{ramp_id}` Gets a specific ramp for a CF1 Site. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier - `ramp_id: str` Identifier ### Returns - `class Ramp: …` - `id: str` Identifier - `created_on: datetime` - `modified_on: datetime` - `name: str` A human-provided name describing the ramp that should be unique within the CF1 Site. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` - `description: Optional[str]` A human-provided description of the ramp. - `gre: Optional[GRE]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `gre_interconnect: Optional[GREInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `ipsec: Optional[IPSEC]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mconn: Optional[Mconn]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mpls_interconnect: Optional[MplsInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) ramp = client.magic_transit.cf1_sites.ramps.get( ramp_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(ramp.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "modified_on": "2019-12-27T18:11:19.117Z", "name": "primary_gre_ramp", "type": "gre", "description": "Primary CF GRE tunnel", "gre": { "managed_by": "managed_by" }, "gre_interconnect": { "managed_by": "managed_by" }, "ipsec": { "managed_by": "managed_by" }, "mconn": { "managed_by": "managed_by" }, "mpls_interconnect": { "managed_by": "managed_by" } }, "success": true } ``` ## Create CF1 Site Ramps `magic_transit.cf1_sites.ramps.create(strcf1_site_id, RampCreateParams**kwargs) -> SyncSinglePage[Ramp]` **post** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}/ramps` Creates ramps (network connections) for a CF1 Site. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier - `body: Iterable[Body]` - `source_ramp_id: str` Identifier of the source network resource to associate as a ramp. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` ### Returns - `class Ramp: …` - `id: str` Identifier - `created_on: datetime` - `modified_on: datetime` - `name: str` A human-provided name describing the ramp that should be unique within the CF1 Site. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` - `description: Optional[str]` A human-provided description of the ramp. - `gre: Optional[GRE]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `gre_interconnect: Optional[GREInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `ipsec: Optional[IPSEC]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mconn: Optional[Mconn]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mpls_interconnect: Optional[MplsInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.magic_transit.cf1_sites.ramps.create( cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", body=[{ "source_ramp_id": "023e105f4ecef8ad9ca31a8372d0c353", "type": "gre", }], ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "modified_on": "2019-12-27T18:11:19.117Z", "name": "primary_gre_ramp", "type": "gre", "description": "Primary CF GRE tunnel", "gre": { "managed_by": "managed_by" }, "gre_interconnect": { "managed_by": "managed_by" }, "ipsec": { "managed_by": "managed_by" }, "mconn": { "managed_by": "managed_by" }, "mpls_interconnect": { "managed_by": "managed_by" } } ], "success": true } ``` ## Delete CF1 Site Ramp `magic_transit.cf1_sites.ramps.delete(strramp_id, RampDeleteParams**kwargs) -> Ramp` **delete** `/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}/ramps/{ramp_id}` Deletes a specific ramp from a CF1 Site. ### Parameters - `account_id: str` Identifier - `cf1_site_id: str` Identifier - `ramp_id: str` Identifier ### Returns - `class Ramp: …` - `id: str` Identifier - `created_on: datetime` - `modified_on: datetime` - `name: str` A human-provided name describing the ramp that should be unique within the CF1 Site. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` - `description: Optional[str]` A human-provided description of the ramp. - `gre: Optional[GRE]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `gre_interconnect: Optional[GREInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `ipsec: Optional[IPSEC]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mconn: Optional[Mconn]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mpls_interconnect: Optional[MplsInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) ramp = client.magic_transit.cf1_sites.ramps.delete( ramp_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(ramp.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2019-12-27T18:11:19.117Z", "modified_on": "2019-12-27T18:11:19.117Z", "name": "primary_gre_ramp", "type": "gre", "description": "Primary CF GRE tunnel", "gre": { "managed_by": "managed_by" }, "gre_interconnect": { "managed_by": "managed_by" }, "ipsec": { "managed_by": "managed_by" }, "mconn": { "managed_by": "managed_by" }, "mpls_interconnect": { "managed_by": "managed_by" } }, "success": true } ``` ## Domain Types ### Ramp - `class Ramp: …` - `id: str` Identifier - `created_on: datetime` - `modified_on: datetime` - `name: str` A human-provided name describing the ramp that should be unique within the CF1 Site. - `type: RampType` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"` - `description: Optional[str]` A human-provided description of the ramp. - `gre: Optional[GRE]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `gre_interconnect: Optional[GREInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `ipsec: Optional[IPSEC]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mconn: Optional[Mconn]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. - `mpls_interconnect: Optional[MplsInterconnect]` - `managed_by: Optional[str]` URL reference to the source network resource that this ramp is managed by. ### Ramp Type - `Literal["gre", "gre_interconnect", "mpls_interconnect", 2 more]` The type of network connection (ramp) linking a CF1 Site to Cloudflare's network. - `"gre"` - `"gre_interconnect"` - `"mpls_interconnect"` - `"mconn"` - `"ipsec"`